#2578 charset used as encoding

closed-fixed
nobody
5
2009-04-02
2008-04-14
No

I received a read-receipt from a squirrelmail user. A header in the body part of the message was:

Content-Transfer-Encoding: us-ascii

However, us-ascii is a charset, and not an encoding. Valid encodings are: 7bit, 8bit, base64, quoted-printable, etc...
This produced erros in the mailserver and I guess spamfilters are not too happy with this.

Also in this mail, the text was "raw" quoted. characters outside the ascii-range (in this case the ä) was not properly escaped.

Discussion

  • Thijs Kinkhorst

    Thijs Kinkhorst - 2008-04-22

    Logged In: YES
    user_id=285765
    Originator: NO

    Thanks for the report, which SquirrelMail version are you using?

     
  • Thijs Kinkhorst

    Thijs Kinkhorst - 2008-04-22

    Logged In: YES
    user_id=285765
    Originator: NO

    I mean "was the user using"? If you can't find out, attaching the full relevant message would also help. Thanks.

     
  • John van der Kamp

    Logged In: YES
    user_id=1669307
    Originator: YES

    The header says it was Squirrelmail 1.4.6

    The mail, with some Received headers stripped, and email and names removed was the following:

    -=-=-=-=-=-=-
    Date: Wed, 23 Jan 2008 08:47:53 +0100 (CET)
    Subject: Gelesen Test mit =?windows-1252?Q?Best=E4tigung?=
    From: snip@snap.com
    To: =?us-ascii?Q?Lastname=2C_Firstname?= <snip@snap.com>
    User-Agent: SquirrelMail/1.4.6
    MIME-Version: 1.0
    Content-Type: multipart/report;report-type=disposition-notification;
    charset=iso-8859-1;boundary="----=_20080123084753_45027"
    X-Priority: 3 (Normal)
    Importance: Normal
    X-Clam-Virus-Scan-NRW: clean
    X-Scanned-By: MIMEDefang 2.61 on 10.64.112.148

    ------=_20080123084753_45027
    Content-Type: text/plain; charset="iso-8859-1"
    Content-Transfer-Encoding: us-ascii

    Ihre Nachricht

    An: snip@snap.com
    Betreff: Test mit Bestätigung
    Gesendet: Mi, Januar 23, 2008 08:47

    Wurde angezeigt am Mi, Januar 23, 2008 08:47
    ------=_20080123084753_45027
    Content-Type: message/disposition-notification
    Content-Transfer-Encoding: us-ascii

    Reporting-UA : snap.com ; SquirrelMail (version 1.4.6)
    Original-Recipient : snip@snap.com
    Final-Recipient: rfc822;
    Original-Message-ID : <vmime.4796f113.1055.2139f76964a20e7f@host.snap.com>
    Disposition: manual-action/MDN-sent-manually; displayed
    ---
    -=-=-=-=-=-=-

     
  • Paul Lesniewski

    Paul Lesniewski - 2009-04-02

    Thank you very much for your help! This has been fixed in our stable and development branches.

     
  • Paul Lesniewski

    Paul Lesniewski - 2009-04-02
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks